<xml></xml>

Saxon API for .NET |

# Processor Members

Processor overview

#### Public Instance Constructors

Processor | Overloaded. Initializes a new instance of the Processor class.

#### Public Instance Properties

Implementation | The underlying Configuration object in the Saxon implementation
IsSchemaAware | Indicates whether the Processor is schema-aware
ProductTitle | Get the full name of the Saxon product version implemented by this Processor
ProductVersion | Get the Saxon product version number (for example, "8.8.1")
SchemaManager | Gets the SchemaManager for the Processor. Returns null if the Processor is not schema-aware.
XmlResolver | An XmlResolver, which will be used while compiling and running queries, XPath expressions, and stylesheets, if no other XmlResolver is nominated
XmlVersion | The XML version used in this `Processor` (for example, this determines what characters are permitted in a name)

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
NewDocumentBuilder | Create a new `DocumentBuilder`, which may be used to build XDM documents from a variety of sources.
NewXPathCompiler | Create a new XPathCompiler, which may be used to compile XPath expressions.
NewXQueryCompiler | Create a new XQueryCompiler, which may be used to compile XQuery queries.
NewXsltCompiler | Create a new XsltCompiler, which may be used to compile XSLT stylesheets.
RegisterCollection | Register a named collection. A collection is identified by a URI (the collection URI), and its content is represented by an `IEnumerable` that enumerates the contents of the collection. The values delivered by this enumeration are Uri values, which can be mapped to nodes using the registered `XmlResolver`.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

Processor Class | Saxon.Api Namespace